Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.builder.conf
Class AccumulateFunctionOption

    java.lang.Object
      org.drools.builder.conf.AccumulateFunctionOption

All Implemented Interfaces:
  Serializable, KnowledgeBuilderOption, MultiValueKnowledgeBuilderOption, Option

    public class AccumulateFunctionOption

extends Object
implements MultiValueKnowledgeBuilderOption

A class for the accumulate function configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The prefix for the property name for accumulate functions

Method Summary
`boolean` | `equals(Object obj)`
`static AccumulateFunctionOption` | `get(String name, AccumulateFunction function)` This is a factory method for this AccumulateFunction configuration.
`AccumulateFunction` | `getFunction()` Returns the accumulate function instance
`String` | `getName()` Returns the name of the function configured
`String` | `getPropertyName()` Returns the property name for this option
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The prefix for the property name for accumulate functions

  See Also:
    Constant Field Values

Method Detail

### get

    public static AccumulateFunctionOption get(String name,
                                               AccumulateFunction function)

  This is a factory method for this AccumulateFunction configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `name` - the name of the function to be configured
  Returns:
    the actual type safe accumulate function configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getName

    public String getName()

  Returns the name of the function configured

  Returns:

### getFunction

    public AccumulateFunction getFunction()

  Returns the accumulate function instance

  Returns:

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.